<?php

$items = $block->getProductCollection()->setPageSize(6)
    ->setCurPage(1)->getItems();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'featured_image';
$objectManager =  \Magento\Framework\App\ObjectManager::getInstance();

?>

<?php $i=0; 
$productImage = '';
foreach ($items as $_product): $i++; 
$images = $objectManager->create('Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface')
->getList($_product->getSku());

foreach ($images as $image1) {
  $images_types = $image1->getData();
  if(in_array('featured_image', $images_types['types'])){

      $productImage = $_imagehelper->init($_product, 'thumbnail')
                            ->setImageFile($images_types['file'])->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(TRUE)->resize(400,400)
                            ->getUrl();
    //echo $images_types['types']['featured_image'];
  }
   
 
}
  $styles= '';
  if($i==4) {
    $styles= 'clear:both;';
  }
?>
<?php //$productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->constrainOnly(false)->getUrl(); ?>
<div class="col-4 col-md-4 col-sx-4 col-sm-4 center-block " style="<?php echo $styles; ?>">
  <div class="card">
    <img class="img-responsive" src="<?php echo $productImage; ?>" alt="<?php echo $_product->getName(); ?>" style="margin-bottom: 20px;"/> 
<span class="bf1"><a href="<?php echo $_product->getProductUrl() ?>" class="featured-product-link" title="Dynamic product title will come"><?php echo $_product->getName(); ?></a>
                    </span>
    

    
    <div class="row">
      <div class="col-md-8 col-sx-12 col-sm-12 " > <?php if ($_product->isSaleable()){ ?>
                            <div>
                              <?php echo $block->getProductPrice($_product) ?>
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                </button>
                              </form>
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <?php
                              $blockStockNofity = $this->getLayout()
                              ->createBlock(
                              "Alogic\Customtheme\Block\ProductAlert",
                              "list.page.stocknotify.".$_product->getId(),
                                  [
                                      'data' => [
                                      'prouctinfo' => $_product
                                      ]
                                  ]
                              )->setData('area', 'frontend');
                              ?>
                              <?= /* @escapeNotVerified */ $blockStockNofity->setHtmlClass('notify-box-stock')
                              ->setSignupLabel(__('Notify me when this product is in stock'))
                              ->setTemplate('Magento_ProductAlert::product/view.phtml')
                              ->toHtml();?>
                            </div>
                          <?php }?></div>
      <div class="col-md-4 off col-sx-12 col-sm-12 center-block"><img class="img-responsive" title="Black Friday Day Sale" src="https://alogic.co/media/wysiwyg/25off.png" alt="Boxing Day Sale"></div>
    </div>
  </div>
</div>
<?php endforeach ?>

